<?php
ob_start();
include("config.php");
	if(! check_login()){
	header("Location: login.php");
	exit;
	}

$dbres	=	mysql_query("SELECT `gevangenistijd`,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='{$data->login}'");
$member	=	mysql_fetch_object($dbres);

	if($member->gevangenis + $member->gevangenistijd > time()){
	header("Location: netwerken-gevangenis.php"); 
	exit;
	}

	if($data->famsotto == 0 && $data->famleader == 0){
	exit;
	}

?>

<html>
<head>
<title>Ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="description" content="Ultimatecrime is een gratis online multiplayer spel! Ontwikkel je eigen crimineel door verschillende criminele activiteiten te doen! Speel met duizenden andere criminelen en wordt nummer 1!">
<meta name="keywords" content="world, gangster, criminal, mafia, games, game, multiplayer, rpg, mmorpg, online game, online multiplayer">
<meta name="Robots" CONTENT="follow">
<meta name="REVISIT-AFTER" CONTENT="7 days">
</head>
<body background="layout/images/layout_12.gif" bgproperties="fixed">
<br>
<br>
<br>
<table align="center" width="600">
	<tr>
		<td class="subTitle">
		<b>Ultimatecrime - Netwerk inviten</b>
		</td>
	</tr>
	<tr>
		<td align="center" class="mainTxt">

<?php

	if(isset($_POST['Submit'])){
	$getal1			=	md5($_SESSION['getal']);
	$getal2			=	$_GET['code'];
		if($getal1 != "" && $getal1 == $getal2){

		$_POST['user']	=	$_POST['user'];

		$dbres		=	mysql_query("SELECT `naam`,`huizen` FROM `familie` WHERE `naam`='{$data->familie}'");
		$familie	=	mysql_fetch_object($dbres);

		$dbres		=	mysql_query("SELECT `familie`,`faminvite` FROM `gebruiker` WHERE `login`='{$_POST['user']}' AND `level`!='-2' AND `level`!='-1' AND `level`!='0'");
		$user		=	mysql_fetch_object($dbres);
		$rijen		=	mysql_num_rows($dbres);

		$dbres 		=	mysql_query("SELECT * FROM `gebruiker` WHERE `familie`='{$familie->naam}'");
		$members 	=	mysql_num_rows($dbres);

			if($familie->huizen*5 <= $members){
			echo "Het netwerk heeft niet meer plek om nog een lid in het netwerk op te nemen.<meta http-equiv=\"refresh\" content=\"3\">";
			} else {
				if($rijen == 0){
				echo "Deze gebruiker bestaat niet is verbannen of is dood of heeft al een uitnodiging gekregen.<meta http-equiv=\"refresh\" content=\"3\">";
				} else if($user->familie != ""){
				echo "Deze gebruiker zit al in een netwerk.<meta http-equiv=\"refresh\" content=\"3\">";
				} else if($user->faminvite != ""){
				echo "Deze gebruiker heeft al een invite gehad van een ander netwerk.<meta http-equiv=\"refresh\" content=\"3\">";
				} else {
				mysql_query("UPDATE `gebruiker` SET `faminvite`='{$data->familie}',`invitetype`='4' WHERE `login`='{$_POST['user']}'");
				mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$_POST['user']}','Netwerk Invite','Je bent door de {$data->familie}\'s geinviteerd om het netwerk te joinen.')");
				echo "Je hebt {$_POST['user']} uitgenodigd om in het netwerk te komen.<meta http-equiv=\"refresh\" content=\"3\">";
				}
			}
		}
	} else {

	$getal			=	rand(1,10);
	$_SESSION['getal']	=	$getal;
	$getalb			=	md5($getal); 

?>

		<form method="post" action="uitnodigen.php?code=<?php echo $getalb; ?>">
		<table align="center"> 
			<tr>
				<td width="100"></td>
			</tr>
 			<tr>
				<td width="100">Login:</td>		
				<td><form method="post"><input type="text" name="user"></td>
			</tr>
			<tr>
				<td></td>                
				<td align="right"><input type="submit" name="Submit" value="Nodig uit!"></td>
			</tr> 
		</table>
		</form>
<?php

	}

?>

		</td>
	</tr>
</table>
</body>
</html>
